REM off air
rit = 640
bot = 400
c = 7
SCREEN 12
DO
ke$ = INKEY$
LINE (x1, y1)-(x1 + 2, y1 + 2), 0, BF: x1 = x: y1 = y
x = INT(RND(1) * (rit)) + 1
 y = INT(RND(1) * (bot)) + 1
 LINE (x, y)-(x + 2, y + 2), c, BF
 tz = tz + 3
 IF tz > (rit) THEN tz = 0: td = td + 3: IF td > (bot) THEN td = 0
 LINE (tz, td)-(tz + 3, td + 3), c, BF
 c = INT(RND(1) * 16) + 1



LOOP UNTIL ke$ = CHR$(27)

